Bug 1707505 - hwlatdetect requires tuning to pass
Summary: hwlatdetect requires tuning to pass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rt-tests
Version: 8.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: 8.0
Assignee: John Kacur
QA Contact: Qiao Zhao
Tomas Capek
URL:
Whiteboard:
Depends On: 1707113
Blocks: 1696402
TreeView+ depends on / blocked
 
Reported: 2019-05-07 16:23 UTC by Clark Williams
Modified: 2019-11-05 20:36 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
.C-state transitions can now be disabled during `hwlatdetect` runs To achieve real-time performance, the `hwlatdetect` utility needs to be able to disable power saving in the CPU during test runs. This update allows `hwlatdetect` to turn off C-state transitions for the duration of the test run and `hwlatdetect` is now able to detect hardware latencies more accurately.
Clone Of: 1707113
Environment:
Last Closed: 2019-11-05 20:35:58 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
disable/enable c-states during run (2.89 KB, patch)
2019-05-10 14:52 UTC, John Kacur
no flags Details | Diff
hwlatdetect code clean-up (3.08 KB, patch)
2019-05-10 14:53 UTC, John Kacur
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3308 None None None 2019-11-05 20:36:17 UTC

Comment 3 John Kacur 2019-05-10 14:52:45 UTC
Created attachment 1566703 [details]
disable/enable c-states during run

Comment 4 John Kacur 2019-05-10 14:53:19 UTC
Created attachment 1566704 [details]
hwlatdetect code clean-up

Comment 13 errata-xmlrpc 2019-11-05 20:35:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3308


Note You need to log in before you can comment on or make changes to this bug.